esa.plot.secr {secr} | R Documentation

## Mask Buffer Diagnostic Plot (internal)

### Description

Internal function used to plot effective sampling area (Borchers and Efford 2008) as a function of increasing buffer width given an ‘secr’ object

### Usage

    esa.plot.secr (object, max.buffer = NULL, max.mask = NULL,
        thin = 0.1, poly = NULL, poly.habitat = TRUE, session = 1, plt = TRUE,
        type = "density", add = FALSE, overlay = TRUE, conditional = FALSE, ...)

### Arguments

`object` | `secr` object output from `secr.fit`
`max.buffer` | maximum width of buffer in metres
`max.mask` | `mask` object
`thin` | proportion of mask points to retain in plot and output
`poly` | matrix of two columns interpreted as the x and y coordinates of a bounding polygon (optional)
`poly.habitat` | logical as in `make.mask`
`session` | vector of session indices (used if `object` spans multiple sessions)
`plt` | logical to plot results
`type` | character; see `esa.plot`
`add` | logical to add line to an existing plot
`overlay` | logical; if TRUE then automatically `add = TRUE` for plots after the first
`conditional` | logical; see `esa.plot`
`...` | graphical arguments passed to plot() and lines()

### Details

`esa.plot.secr` provides a wrapper for `esa.plot` that is called internally from esa.plot when it is presented with an secr object. Arguments of `esa.plot` such as `detectfn` are inferred from the fitted model.

If `max.mask` is not specified then a maximal mask of type ‘trapbuffer’ is constructed using `max.buffer` and the spacing of the mask in `object`. In this case, if `max.buffer` is not specified then it is set either to the width of the existing plot (`add = TRUE`) or to 10 x sigma-hat from the fitted model in `object` (`add = FALSE`).

### Value

see `esa.plot`

### See Also

`esa.plot`, `mask`, `pdot`, `make.mask`, `mask.check`, `Detection functions`

[Package secr version 3.2.1 Index]